.. AUTO-GENERATED FILE. DO NOT EDIT. store-attendances-post-one ========================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25334823297`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``async`` - Lambda: ``jef-store-post-4`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``post`` - Method: ``POST`` - Scope Label: ``Async`` - Resource Path: ``/store-attendances-post-one`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-attendances-post-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-post-4`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-post-4 Module: jef-store Action: post Method: POST Invocation Mode: ASYNC Resource Path: /store-attendances-post-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-store-attendances Payload Example: - pk: attendance-1001-0001 - gsi_1_pk: 1001 - gsi_1_sk: 2026-05-04 - attendance_id: attendance-1001-0001 - entity_number: 1001 - employee_number: EMP-1001-0001 - employee_name: BQ World Holdings Corporation - attendance_date: 2026-05-04 - schedule: Pandan Coconut Sea Salt Latte schedule 1001-0001 - status: active - notes: Barista grocery sample note for Pandan Coconut Sea Salt Latte at Bacolod Main Barista Grocery. - is_active: true - is_deleted: false - deleted_at: - created_at: 2026-05-04T09:07:00+08:00 - updated_at: 2026-05-04T09:07:00+08:00 - idempotency_key: 32c146e2-504b-54e2-9567-6e0f3f7f383c - schema_version: 1001 - version: 1001 Payload Schema: - pk: string-{attendance_id} - gsi_1_pk: string-{entity_number} - gsi_1_sk: string-{attendance_date} - attendance_id: string - entity_number: string - employee_number: string - employee_name: string - attendance_date: string - schedule: string - status: string - notes: string - is_active: boolean - is_deleted: boolean - deleted_at: string - created_at: string - updated_at: string - idempotency_key: string - schema_version: number - version: number Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "attendance-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "2026-05-04", "attendance_id": "attendance-1001-0001", "entity_number": "1001", "employee_number": "EMP-1001-0001", "employee_name": "BQ World Holdings Corporation", "attendance_date": "2026-05-04", "schedule": "Pandan Coconut Sea Salt Latte schedule 1001-0001", "status": "active", "notes": "Barista grocery sample note for Pandan Coconut Sea Salt Latte at Bacolod Main Barista Grocery.", "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "32c146e2-504b-54e2-9567-6e0f3f7f383c", "schema_version": "1001", "version": "1001" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-attendances-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"attendance-1001-0001\", \"gsi_1_pk\": \"1001\", \"gsi_1_sk\": \"2026-05-04\", \"attendance_id\": \"attendance-1001-0001\", \"entity_number\": \"1001\", \"employee_number\": \"EMP-1001-0001\", \"employee_name\": \"BQ World Holdings Corporation\", \"attendance_date\": \"2026-05-04\", \"schedule\": \"Pandan Coconut Sea Salt Latte schedule 1001-0001\", \"status\": \"active\", \"notes\": \"Barista grocery sample note for Pandan Coconut Sea Salt Latte at Bacolod Main Barista Grocery.\", \"is_active\": \"true\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"32c146e2-504b-54e2-9567-6e0f3f7f383c\", \"schema_version\": 1001, \"version\": 1001}" PowerShell curl --------------- .. code-block:: text curl.exe -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-attendances-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "attendance-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "2026-05-04", "attendance_id": "attendance-1001-0001", "entity_number": "1001", "employee_number": "EMP-1001-0001", "employee_name": "BQ World Holdings Corporation", "attendance_date": "2026-05-04", "schedule": "Pandan Coconut Sea Salt Latte schedule 1001-0001", "status": "active", "notes": "Barista grocery sample note for Pandan Coconut Sea Salt Latte at Bacolod Main Barista Grocery.", "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "32c146e2-504b-54e2-9567-6e0f3f7f383c", "schema_version": 1001, "version": 1001}'